Bug 125386 - Export as PNG is NOT scaling up when using Multi-language.
Summary: Export as PNG is NOT scaling up when using Multi-language.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.3.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Graphics-Export
  Show dependency treegraph
 
Reported: 2019-05-20 10:41 UTC by i.kato80
Modified: 2021-08-31 03:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
File "Export as PNG on Calc.ods" (11.88 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-05-20 10:44 UTC, i.kato80
Details
Image of 96 dpi (default) scaling. (3.90 KB, image/png)
2019-05-20 10:45 UTC, i.kato80
Details
Image of 120 dpi scaling. (6.34 KB, image/png)
2019-05-20 10:46 UTC, i.kato80
Details
Image of 150 dpi scaling. (13.85 KB, image/png)
2019-05-20 10:47 UTC, i.kato80
Details
Image of 192 dpi scaling. (40.83 KB, image/png)
2019-05-20 10:48 UTC, i.kato80
Details
PNG export dialog (32.86 KB, image/png)
2019-06-04 10:11 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description i.kato80 2019-05-20 10:41:15 UTC
Description:
I want a scaling upped image using "Export as PNG" on Calc, but the exported image was not what I was expecting.
I tested and tested, Finally I found a Mysterious bug.


Steps to Reproduce:
1. Create a sheet.
2. In 1st cell, Type a string using English only.
3. In 2nd cell, Type a string mixing English and Japanese(日本語).
4. In 3rd cell, Type a string using Japanese(日本語) only.
5. Select between 1st and 3rd cells.
6. Choose File -> Export, then choose "PNG" type.
7. Check on "selected".
8. Click "save".
9. Change DPI and size, then click "OK".


Actual Results:
Scaling up and locating of 1st and 3rd cells are correct.
But 2nd cell is NOT scaling up and locating always.
Please see the attached images.


Expected Results:
2nd cell is scaling up and locating the same.



Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 i.kato80 2019-05-20 10:44:09 UTC
Created attachment 151527 [details]
File "Export as PNG on Calc.ods"
Comment 2 i.kato80 2019-05-20 10:45:57 UTC
Created attachment 151528 [details]
Image of 96 dpi (default) scaling.
Comment 3 i.kato80 2019-05-20 10:46:59 UTC
Created attachment 151529 [details]
Image of 120 dpi scaling.
Comment 4 i.kato80 2019-05-20 10:47:35 UTC
Created attachment 151530 [details]
Image of 150 dpi scaling.
Comment 5 i.kato80 2019-05-20 10:48:11 UTC
Created attachment 151531 [details]
Image of 192 dpi scaling.
Comment 6 i.kato80 2019-05-20 10:50:56 UTC
Comment on attachment 151528 [details]
Image of 96 dpi (default) scaling.

All cells are correct.
Comment 7 i.kato80 2019-05-20 10:51:33 UTC
Comment on attachment 151529 [details]
Image of 120 dpi scaling.

2nd cell is NOT correct.
Comment 8 i.kato80 2019-05-20 10:51:52 UTC
Comment on attachment 151530 [details]
Image of 150 dpi scaling.

2nd cell is NOT correct.
Comment 9 i.kato80 2019-05-20 10:52:07 UTC
Comment on attachment 151531 [details]
Image of 192 dpi scaling.

2nd cell is NOT correct.
Comment 10 Ming Hua 2019-06-04 09:18:04 UTC
I can reproduce this in 6.1.6 on Windows 10.

Version: 6.1.6.3 (x64)
Build ID: 5896ab1714085361c45cf540f76f60673dd96a72
CPU threads: 2; OS: Windows 10.0; UI render: default; 
Locale: zh-CN (zh_CN); Calc: group threaded

BTW, I am not sure whether it's the language barrier or not, but changing DPI doesn't trigger the bug for me, instead changing image size does.  At least on my setup, changing DPI doesn't automatically change the image size in pixels, but changes the image size in inches while keeping the pixel size.  When I kept the image size in pixels the same, but increase the DPI to 192, I got a correct image. On the other hand, when I increased the image size in pixels but kept the 96 DPI, I could reproduce the bug.

It also happens to mixed-language cell for English and Simplified Chinese.
Comment 11 Xisco Faulí 2019-06-04 10:11:35 UTC
Created attachment 151898 [details]
PNG export dialog

This is the dialog I get when I export the selection to PNG. How can I change the DPI or size ?
Comment 12 Xisco Faulí 2019-06-04 10:12:15 UTC
Setting to NEEDINFO until the information has been provided
Comment 13 Ming Hua 2019-06-04 10:43:18 UTC
(In reply to Xisco Faulí from comment #11)
> This is the dialog I get when I export the selection to PNG. How can I
> change the DPI or size ?
To change the image size, edit the "Width" or "Height" box to a diffrent number (only one, they seem to be linked); and for DPI, edit the "Resolution" box (if you change the drop-down option after the box to "pixels/inch", you'll see the default 96 DPI (acronym of dots per inch) we've mentioned).

As I said, in my case, changing DPI will automatically change the physical size (in centimeters or inches) while keeping the pixels intact.
Comment 14 Regina Henschel 2019-06-04 11:23:11 UTC
I can reproduce it from scratch as described using Version: 6.3.0.0.alpha1+
Build ID: f6e7dbccf063767c2ac87c6460bd1004df742081
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-05-30_00:13:29
Locale: de-DE (en_US); UI-Language: en-US
Calc: threaded

Export of cell with mixed languages is wrong.
Comment 15 QA Administrators 2021-08-31 03:55:00 UTC
Dear i.kato80,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug